# Blog Template

Un template de blog moderne, responsive et personnalisable, développé avec PHP, JavaScript et CSS.

## 🌟 Fonctionnalités

- Design responsive et moderne
- Mode sombre/clair
- Système de catégories
- Gestion des articles en Markdown
- Animation et transitions fluides
- Zero tracking et respect de la vie privée
- API JSON pour les articles

## 🚀 Installation

1. Clonez le repository
```bash
git clone https://github.com/votre-username/blog-template.git
```

2. Installez les dépendances avec Composer
```bash
composer install
```

3. Configurez votre serveur web pour pointer vers le dossier du projet

4. Modifiez le fichier `config.php` selon vos besoins

## 📝 Structure des articles

Les articles sont écrits en Markdown avec des métadonnées YAML :

```markdown
---
title: Titre de l'article
date: YYYY-MM-DD
category: catégorie
tags: [tag1, tag2]
image: chemin/vers/image.jpg
---

Contenu de l'article en Markdown
```

## 🎨 Personnalisation

### Thème
Modifiez les variables CSS dans `style.css` pour personnaliser les couleurs :

```css
:root {
    --primary-color: #votre-couleur;
    --secondary-color: #votre-couleur;
    /* etc. */
}
```

### Navigation
Éditez la structure HTML dans `index.html` pour modifier la navigation.

## 📚 Documentation

Pour plus de détails sur la personnalisation et l'utilisation, consultez le [Wiki](lien-vers-wiki).

## 🤝 Contribution

Les contributions sont les bienvenues ! N'hésitez pas à :
- Signaler des bugs
- Proposer des améliorations
- Soumettre des pull requests

## 📜 Licence

Ce projet est sous licence GNU General Public License v3.0 - voir le fichier [LICENSE](LICENSE) pour plus de détails.

## 🙏 Remerciements

- [Parsedown](https://github.com/erusev/parsedown) pour le parsing Markdown
- [Symfony/Yaml](https://github.com/symfony/yaml) pour le parsing YAML

---
Développé avec ❤️ pour la communauté open source
