/**
 * Blog Template
 * Copyright (C) 2024
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 */
/**
 * Gestion du thème sombre/clair
 * Ce script gère le basculement entre les thèmes et sauvegarde la préférence utilisateur
 */

// Récupération des éléments du DOM
const themeToggle = document.getElementById('theme-toggle');
const body = document.body;

// Vérifie et applique le thème enregistré
if (localStorage.getItem('theme') === 'dark') {
    body.classList.add('dark');
    themeToggle.textContent = 'Mode clair';
}

// Écouteur d'événement pour le basculement du thème
themeToggle.addEventListener('click', () => {
    // Bascule la classe 'dark'
    body.classList.toggle('dark');
    
    // Met à jour le texte du bouton et sauvegarde la préférence
    const isDark = body.classList.contains('dark');
    themeToggle.textContent = isDark ? 'Mode clair' : 'Mode sombre';
    localStorage.setItem('theme', isDark ? 'dark' : 'light');
});
